Issue #10401 has been updated by Vit Ondruch.


Usaku NAKAMURA wrote:
> Do you need only `tk-diff-ruby-2.1.3-p242.for-SEGV-only` ?

Yep, that should be enough.

Actually since I noticed this backport ticket with the patch too late, I already applied patch [1] to our package. But these are the same, I just stripped a few additional hunks with DUMPs which seems unimportant.


[1] http://pkgs.fedoraproject.org/cgit/ruby.git/tree/ruby-2.2.0-Support-tcl-tk-8.6.patch?h=f21



----------------------------------------
Backport #10401: Ruby/Tk patch  for Tcl/Tk8.6
https://bugs.ruby-lang.org/issues/10401#change-52377

* Author: Hidetoshi Nagai
* Status: Open
* Priority: Normal
* Assignee: 
----------------------------------------
永井@知能.九工大です.

Ruby/Tk を Tcl/Tk8.6 と組み合わせて使えるようにするためのパッチです.
2.1.3 p242 用のパッチとなっています.
適用いただけますと幸いです.


---Files--------------------------------
tk-diff-ruby-2.1.3-p242 (17.2 KB)
tk-diff-ruby-2.1.3-p242.for-SEGV-only (7.04 KB)


-- 
https://bugs.ruby-lang.org/